By continuing to use this site, you agree to the Terms of Service of this website, including usage of cookies.

OK, Don't show this again

ShopUI plugin fully Configureable and Easy to use!
version 3.2.2
Approved
Direct Download How to install?
Switch version
466 Downloads / 3063 Total
7 Reviews
Plugin Description §

ShopUI

This plugin uses LibFormAPI so YOU DON'T have to install any extra stuff! Easy to use

  • Simple, Performance, Images, Colors, Infinite Items, Buy and Sell! with different Prices

Features

  • Fully Customizable:
    • Messages
    • Errors
    • Items
    • Categories
    • Category and item colors (using the ยง symbol!)
    • Images! per Item!
    • Buy and Sell Prices Per Item
  • You can Choose how many items you want to buy!
  • Please Make suggestions!

Important

  • Requires EconomyAPI by ONEBONE
  • Requires 7.7kb Space xD
  • any issues need to be reported on the github repo in the issues section OR in my discord! (https://discord.gg/cSEBKWj) in the Plugin chat ONLY!

Devs/Info

  • Made by: SaltyPixelDevz
  • TeamMembers(That worked on this Project): AlexPads
  • Collaborator: Thunder33345, Shelly7w7
  • Discord: https://discord.gg/cSEBKWj
  • Website: https://saltypixel.ga
  • Want to Develop the with the SaltyPixel Dev Team! Contact me on discord! (Link Above) donate at (SaltyPixel.ga Link above!)
What's new §
  • Small Update and Bug Fixes
    • 3.2.1 -> 3.2.2
  • Update shop.yml
    • Fixes Typo
  • Bug fix
    • Fix sell Bug on some
  • Update Version
    • 3.2.0->3.2.1
  • Update to 3.2.0
    • Fixes Buy issues
    • Fixes All Issues on Github
    • Looks better
    • more customization
    • so on and so forth
    • also rewrites parts of the code and cleans up the mess it was before
  • Fix
    • Updates ascii art
    • Fixes #7
  • Fix 2
    • Fixes #8
  • fix
    • Fixes #8
  • test
  • Fixes
    • Hopefully Fixes Message and Selling :)
  • Create .poggit.yml
  • Merge pull request #5 from Shelly7w7/master
    • Fix typo
  • Removes FormAPI Check as requested :)
  • Removes enable and Disable messages!
    • lol
  • UPDATE!
    • Changes
      • Updates Code (Cleaner)
      • Updates to ADD IMAGES!!!!!
      • Updates Fixes bugs and back buttions
      • changes Discord and Website Links!
      • Updates adds a few more small things fixes String issues and NO MORE ISSUES IN CONSOLE !!!!!
      • Updates to add Only working in survival setting on Config :)
  • Update Fix Error and Reject ๐Ÿ‘
  • Update Readme.md
  • Updates!
  • V2.0.7
  • adds depend to plugin.yml as requested :)
    • OK !
  • lol
  • 2.0.5
    • fixes metadata
    • fixes 1st item not working all the time
  • 2.0.4
    • Adds Message at Shop Close
    • Fix Common error with Depend Function
    • Saves all Files on Startup Properly :) Fixes all GitHub Issues (and Discord Ones)

AmeerReal
using v3.5.3
21 Feb 19
To be honest , one of the best plugins!
AlexPads
21 Feb 19
Thank you!!! be ready for 3.5.4 it has a few bug fixes~! and speed updates!
Wertzui123
using v3.5.3
20 Feb 19
Can I also make a offer like "Epic Key" and then a Command like "/givekey {buyer} vote 1" will be executed?
AlexPads
21 Feb 19
YES! you can execute any command as the Console or the Player! Thank you also why 4 stars though xD
Xenophilicy
using v3.2.2
09 Feb 19
Good plug-in, I've taken a look at other plugins and I have to say, your plug-in seems to have the most features out of almost all of your competition. Can't wait for back buttons in the next update!
AlexPads
14 Feb 19
Thank you! Also in the next update are coming a Brand NEW Config design and Command support! and Pictures on the Categories FINALLY!
AmeerReal
using v3.2.1
25 Jan 19
You need to add back button in the main shop menu and in the categories menus, and you need to add cancel button in the Buy/Sell menu.
AlexPads
17 Feb 19
Fixed But Wait for 3.5.3 :) or use the Dev section to get the latest version
captainleviftw
using v3.2.0
31 Dec 18
Works like a charm.
AlexPads
09 Jan 19
Thankyou!
ElementalMinecraftGaming
using v3.2.0
26 Dec 18
Same reason, going to issues.
AlexPads
05 Jan 19
whats the issue i dont see one
BaconOFBurger
using v2.0.3
16 Nov 18
Too many bugs and errors...
AlexPads
16 Nov 18
Please Put this in the Issues section on GitHub and Explain i will fix them

Reply to review by :

Supported API versions
3.0.0
->
3.6.1
Dependencies
EconomyAPI 5.7.2
Required
View Plugin
License §
Categories:
Economy
General
Mechanics
Educational
Permissions
Manage entities
Manage blocks/items
Other files
Commands

You can leave one review per plugin release, and delete or update your review at any time

Loading...